Subject: Re: pkg/33028: cfengine2 on Solaris needs flex, not lex
To: None <>
From: Lloyd Parkes <>
List: pkgsrc-bugs
Date: 03/08/2006 15:48:21
Jeremy C. Reed wrote:
>  Maybe use instead:
>  USE_TOOLS+=          flex

That seems to work fine.

I'm normally a bit wary of forcing the use of a particular 
implementation of a utility (who needs so sit and watch software build 
when the OS tools work fine?), but as far as I know, there are only two 
implementations of lex, and only one of them works for cfengine2.

Lloyd Parkes
Senior Systems Programmer
Open Systems
Ph: +64 4 803 1437